package com.hzya.frame.sys.menuConfig.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson2.JSON;
import com.hzya.frame.sys.menuConfig.entity.ModuleVo;
import com.hzya.frame.sys.menuConfig.entity.SysMenuConfigEntity;
import com.hzya.frame.sys.menuConfig.dao.ISysMenuConfigDao;
import com.hzya.frame.sys.menuConfig.service.ISysMenuConfigService;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;

import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.ArrayList;
import java.util.List;

/**
 * 系统菜单表(SysMenuConfig)表服务实现类
 *
 * @author makejava
 * @since 2024-03-26 15:23:53
 */
@Service(value = "sysMenuConfigService")
public class SysMenuConfigServiceImpl extends BaseService<SysMenuConfigEntity, String> implements ISysMenuConfigService {

    private ISysMenuConfigDao sysMenuConfigDao;

    @Autowired
    public void setSysMenuConfigDao(ISysMenuConfigDao dao) {
        this.sysMenuConfigDao = dao;
        this.dao = dao;
    }


    @Override
    public JsonResultEntity queryTree(JSONObject jsonObject) {
        String a = "[{\"id\":\"94aa40f1cef3448fa73c789bc1da2cc5\",\"path\":\"/applicationList\",\"name\":\"applicationList\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"应用管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-caidan\",\"title\":\"应用管理\"},\"children\":[{\"id\":\"61c6035ec5534e30b3a403803e68f397\",\"path\":\"applicationListAdmin\",\"name\":\"applicationListAdmin\",\"component\":\"applicationList/index\",\"hidden\":false,\"redirect\":null,\"label\":\"应用中心\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"应用中心\"},\"children\":[]},{\"id\":\"dce64514f62a41c6bbde8f16d5d58c9b\",\"path\":\"applicationAdd\",\"name\":\"applicationAdd\",\"component\":\"applicationList/applicationAdd\",\"hidden\":true,\"redirect\":null,\"label\":\"应用新增\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"应用新增\"},\"children\":[]},{\"id\":\"edcc7919c718467fbcbc0919dd29c1b5\",\"path\":\"settingMenu\",\"name\":\"settingMenu\",\"component\":\"applicationList/settingMenu\",\"hidden\":true,\"redirect\":null,\"label\":\"应用设置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"应用设置\"},\"children\":[]}]},{\"id\":\"75a1b9c1064049efa92c7ea30d492914\",\"path\":\"/integrationOption\",\"name\":\"zsjzx\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"主数据中心\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-zhushujuzhongxin\",\"title\":\"主数据中心\"},\"children\":[{\"id\":\"301a14c9825146da975f9b2d219c6446\",\"path\":\"masterDataOptions\",\"name\":\"masterDataOptions\",\"component\":\"masterDataOptions/index\",\"hidden\":false,\"redirect\":null,\"label\":\"主数据配置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"主数据配置\"},\"children\":[]},{\"id\":\"f0b60d4ee4264c4ba5049b24ffe015da\",\"path\":\"masterDataAdd\",\"name\":\"masterDataAdd\",\"component\":\"masterDataOptions/masterDataAdd\",\"hidden\":true,\"redirect\":null,\"label\":\"主数据添加\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"主数据添加\"},\"children\":[]},{\"id\":\"dafa596f6173480cb154c50b602a5f2c\",\"path\":\"settingMenu\",\"name\":\"masterDataSettingMenu\",\"component\":\"masterDataOptions/settingMenu\",\"hidden\":true,\"redirect\":null,\"label\":\"主数据设置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"主数据设置\"},\"children\":[]},{\"id\":\"fd1a2ccda89c44388e3b3c62492cef1e\",\"path\":\"integrationOption\",\"name\":\"zsjzx\",\"component\":\"integrationOption/index\",\"hidden\":false,\"redirect\":null,\"label\":\"主数据中心\",\"alwaysShow\":false,\"meta\":{\"templateTypes\":[\"2\"],\"noCache\":false,\"hidden\":false,\"icon\":\"documentation\",\"title\":\"主数据中心\"},\"children\":[]},{\"id\":\"c3dda399207843eeac91770ac18e91e3\",\"path\":\"integrationOptionV2\",\"name\":\"integrationOptionV2\",\"component\":\"ParentView\",\"hidden\":false,\"redirect\":null,\"label\":\"主数据中心V2\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"主数据中心V2\"},\"children\":[{\"id\":\"a8d110d628be498c9e617dc9230f10e8\",\"path\":\"integrationOptionAdmin/10002\",\"name\":\"integrationOptionAdmin10002\",\"component\":\"integrationOptionV2/index\",\"hidden\":false,\"redirect\":null,\"label\":\"仓库\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"mdmCode\":10002,\"viewType\":\"2\",\"title\":\"仓库\",\"mdmId\":\"9f377c98e6534827a454dcb05ea5a7ed\"},\"children\":[]},{\"id\":\"dac244182b004133aabc81a24f4b12a1\",\"path\":\"integrationOptionAdmin/10001\",\"name\":\"integrationOptionAdmin10001\",\"component\":\"integrationOptionV2/index\",\"hidden\":false,\"redirect\":null,\"label\":\"组织\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"mdmCode\":10001,\"viewType\":\"1\",\"title\":\"组织\",\"mdmId\":\"9d9f257c4e4a4504b426d9b8c4586221\"},\"children\":[]},{\"id\":\"f9807f025a8c4107a27b5489e9a78b40\",\"path\":\"integrationOptionAdmin/10004\",\"name\":\"integrationOptionAdmin10004\",\"component\":\"integrationOptionV2/index\",\"hidden\":false,\"redirect\":null,\"label\":\"货位\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"mdmCode\":10004,\"viewType\":\"2\",\"title\":\"货位\",\"mdmId\":\"d68a7b3db17240c3b5e86dee7e37e15e\"},\"children\":[]},{\"id\":\"12f30005b95848e786ea8a48ff3d9f1a\",\"path\":\"integrationOptionAdmin/10009\",\"name\":\"integrationOptionAdmin10009\",\"component\":\"integrationOptionV2/index\",\"hidden\":false,\"redirect\":null,\"label\":\"任务日志\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"mdmCode\":10009,\"viewType\":\"2\",\"title\":\"任务日志\",\"mdmId\":\"f1b2ca57c146452db51621220480c4a3\"},\"children\":[]},{\"id\":\"ed9a1af940f344228baf9c439a982a36\",\"path\":\"integrationOptionAdmin/10010\",\"name\":\"integrationOptionAdmin10010\",\"component\":\"integrationOptionV2/index\",\"hidden\":false,\"redirect\":null,\"label\":\"任务\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"mdmCode\":10010,\"viewType\":\"2\",\"title\":\"任务\",\"mdmId\":\"cca8c774c02d4217b91fbcf05cb5b68e\"},\"children\":[]}]}]},{\"id\":\"9c892d32ddb347fda145c9c28b063524\",\"path\":\"/applicationIntegration\",\"name\":\"yyjcpt\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"应用集成平台\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-yingyongjichengpingtai\",\"title\":\"应用集成平台\"},\"children\":[{\"id\":\"276c412ee4524b0aabf2bd1ddc5e1994\",\"path\":\"IntegratedProductManagement\",\"name\":\"IntegratedProductManagement\",\"component\":\"applicationIntegration/IntegratedProductManagement/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成产品清单\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"集成产品清单\"},\"children\":[]},{\"id\":\"6b7f556b085e4acc8c05be1d23e24881\",\"path\":\"applicationConfigurationManagement\",\"name\":\"applicationConfigurationManagement\",\"component\":\"applicationIntegration/applicationConfigurationManagement/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成应用配置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"集成应用配置\"},\"children\":[]}]},{\"id\":\"98b965b4b2db489aaf4b7c2899e65f2b\",\"path\":\"/dataSourceManagement\",\"name\":\"dataSourceManagement\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"数据源管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"数据源管理\"},\"children\":[{\"id\":\"b1d52945225840d5b25f7275ab0e6375\",\"path\":\"dataSourceManagement\",\"name\":null,\"component\":\"dataSourceManagement/dataSourceManagement/index\",\"hidden\":false,\"redirect\":null,\"label\":\"数据源管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"数据源管理\"},\"children\":[]}]},{\"id\":\"c89f9c8108184362adb77f6d7df4990c\",\"path\":\"/middleground\",\"name\":\"jzapikz\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"集成api配置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-a-jichengapipeizhi\",\"title\":\"集成api配置\"},\"children\":[{\"id\":\"9fa802b4413840d28028154c52836f09\",\"path\":\"jcapipz\",\"name\":\"jcapipzchild\",\"component\":\"ParentView\",\"hidden\":false,\"redirect\":null,\"label\":\"集成api配置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"集成api配置\"},\"children\":[{\"id\":\"dfb3f250ecd74b0383f9b5187cb167c1\",\"path\":\"apiAdmin\",\"name\":\"apigl\",\"component\":\"integrationApi/apiAdmin\",\"hidden\":false,\"redirect\":null,\"label\":\"API管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"API管理\"},\"children\":[]},{\"id\":\"a15a836fca75414eb909a4a66a3a639d\",\"path\":\"apiAdd\",\"name\":\"apiAdd\",\"component\":\"integrationApi/apiAdd\",\"hidden\":true,\"redirect\":null,\"label\":\"API新增\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"API新增\"},\"children\":[]},{\"id\":\"ecaf5630a18d465f9fca759a12d8e31a\",\"path\":\"apiview\",\"name\":\"apiView\",\"component\":\"integrationApi/apiView\",\"hidden\":true,\"redirect\":null,\"label\":\"API查看\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"API查看\"},\"children\":[]}]}]},{\"id\":\"ba895b2292ff4625948a443412f63fd2\",\"path\":\"/integrationOption\",\"name\":\"dadz\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"档案对照\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-danganduizhao\",\"title\":\"档案对照\"},\"children\":[{\"id\":\"865385e27e03447ba49b865775b4589f\",\"path\":\"integrationOption/danganduizhao\",\"name\":\"dadzmx\",\"component\":\"integrationOption/index\",\"hidden\":false,\"redirect\":null,\"label\":\"档案对照\",\"alwaysShow\":false,\"meta\":{\"templateTypes\":[\"4\"],\"noCache\":false,\"hidden\":false,\"icon\":\"documentation\",\"title\":\"档案对照\"},\"children\":[]}]},{\"id\":\"e4069c6111df4d91b647e440b623902b\",\"path\":\"/scene\",\"name\":\"scene\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"集成场景\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-jichengchangjing\",\"title\":\"集成场景\"},\"children\":[{\"id\":\"2af5a0ac33984e889e5cc07bf91424ea\",\"path\":\"/\",\"name\":\"sceneAdmin\",\"component\":\"intergrationOptionScene/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成场景\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"sda\",\"title\":\"集成场景\"},\"children\":[]},{\"id\":\"732a4d250d81494594a6e66b143ba9fa\",\"path\":\"/add\",\"name\":\"sceneAdd\",\"component\":\"intergrationOptionScene/sceneAdd\",\"hidden\":true,\"redirect\":null,\"label\":\"新建场景\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":\"3213\",\"title\":\"新建场景\"},\"children\":[]}]},{\"id\":\"d93df2dffecc446c99e70b841986ba07\",\"path\":\"/task\",\"name\":\"task\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"集成任务管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-renwuguanli\",\"title\":\"集成任务管理\"},\"children\":[{\"id\":\"6357e6581f2245cd943bb26530fbc2b5\",\"path\":\"/\",\"name\":\"taskAdmin\",\"component\":\"intergrationTask/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成任务部署\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"sd\",\"title\":\"集成任务部署\"},\"children\":[]},{\"id\":\"9d55003fdaae4604907fe4475154f7fa\",\"path\":\"logDetails\",\"name\":\"detailData\",\"component\":\"intergrationTask/detailData/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成任务日志\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"集成任务日志\"},\"children\":[]},{\"id\":\"6013bdbfed444a6480e73d5ca5fd6a10\",\"path\":\"living\",\"name\":\"taskLiving\",\"component\":\"intergrationTask/living\",\"hidden\":false,\"redirect\":null,\"label\":\"集成任务实例\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"123\",\"title\":\"集成任务实例\"},\"children\":[]},{\"id\":\"24ab1e359c0d47ee9e376b4af8cf18d1\",\"path\":\"monitoring\",\"name\":\"taskMonitoring\",\"component\":\"intergrationTask/monitoring\",\"hidden\":false,\"redirect\":null,\"label\":\"集成任务监控\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"集成任务监控\"},\"children\":[]},{\"id\":\"7e4e4d464d164e47bf497a9d0f88a9e5\",\"path\":\"logdata\",\"name\":\"taskLogData\",\"component\":\"intergrationTask/logData\",\"hidden\":true,\"redirect\":null,\"label\":\"集成任务日志明细\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"集成任务日志明细\"},\"children\":[]},{\"id\":\"1d2ca0c48bcc42f689079b3d9c3870d4\",\"path\":\"logsview\",\"name\":\"taskLogsView\",\"component\":\"intergrationTask/logsViewPage\",\"hidden\":true,\"redirect\":null,\"label\":\"日志查看\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"日志查看\"},\"children\":[]},{\"id\":\"b0449a58fdcd477a96535e9f643295de\",\"path\":\"add\",\"name\":\"taskAdd\",\"component\":\"intergrationTask/taskAdd\",\"hidden\":true,\"redirect\":null,\"label\":\"新建任务\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"新建任务\"},\"children\":[]},{\"id\":\"cca835cc2ba846a98f314d227ded8b38\",\"path\":\"livingview\",\"name\":\"taskLivingView\",\"component\":\"intergrationTask/livingViewPage\",\"hidden\":true,\"redirect\":null,\"label\":\"实例查看\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":true,\"icon\":null,\"title\":\"实例查看\"},\"children\":[]}]},{\"id\":\"ae8b1a462a304e32b23aa876fc699c61\",\"path\":\"/esbCenter\",\"name\":\"esbCenter\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"ESB中心\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-a-ESBzhongxin\",\"title\":\"ESB中心\"},\"children\":[{\"id\":\"7091fba266324d80a86bab11dcc27e7a\",\"path\":\"messageManagement\",\"name\":\"messageManagement\",\"component\":\"esbCenter/messageManagement/index\",\"hidden\":false,\"redirect\":null,\"label\":\"消息管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"消息管理\"},\"children\":[]},{\"id\":\"8972adaea731492e9889b33efafae5aa\",\"path\":\"messageManagementLog\",\"name\":\"messageManagementLog\",\"component\":\"esbCenter/messageManagementLog/index\",\"hidden\":false,\"redirect\":null,\"label\":\"消息管理日志\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"消息管理日志\"},\"children\":[]}]},{\"id\":\"c598ab959b1f410a95c21f76ad4212e4\",\"path\":\"/integrationOption\",\"name\":\"1\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"任务集成\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-renwujicheng\",\"title\":\"任务集成\"},\"children\":[{\"id\":\"f0f6d5647c144e29a0cd80570cd1020a\",\"path\":\"testtest\",\"name\":\"taskworkshop\",\"component\":\"integrationOption/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成前台任务\",\"alwaysShow\":false,\"meta\":{\"templateTypes\":[\"8\"],\"noCache\":false,\"hidden\":false,\"icon\":\"workshop\",\"title\":\"集成前台任务\"},\"children\":[]}]},{\"id\":\"1\",\"path\":\"/middleground\",\"name\":\"szzt\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":\"noRedirect\",\"label\":\"系统管理\",\"alwaysShow\":true,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-xitongguanli\",\"title\":\"系统管理\"},\"children\":[{\"id\":\"83d53be90d8b47b6a4472b0af33b820d\",\"path\":\"integrationOption\",\"name\":\"数据源管理\",\"component\":\"integrationOption/index\",\"hidden\":true,\"redirect\":null,\"label\":\"数据源管理\",\"alwaysShow\":false,\"meta\":{\"templateTypes\":[\"6\"],\"noCache\":false,\"hidden\":true,\"icon\":\"1\",\"title\":\"数据源管理\"},\"children\":[]},{\"id\":\"c045e46778dd4005bc047de70b8ea555\",\"path\":\"userSetting\",\"name\":\"userSetting\",\"component\":\"ParentView\",\"hidden\":false,\"redirect\":null,\"label\":\"用户管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"userSetting\",\"title\":\"用户管理\"},\"children\":[{\"id\":\"a21217dd5c004e8fba51a880c44f25d7\",\"path\":\"userManagement\",\"name\":\"userManagement\",\"component\":\"systemSettings/userManagement/index\",\"hidden\":false,\"redirect\":null,\"label\":\"用户管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"userManagement\",\"title\":\"用户管理\"},\"children\":[]},{\"id\":\"03206e25f7a94c71b83e2722e0dc06cc\",\"path\":\"roleManegement\",\"name\":\"roleManegement\",\"component\":\"systemSettings/userSettings/roleSettings\",\"hidden\":false,\"redirect\":null,\"label\":\"角色管理\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"roleManegement\",\"title\":\"角色管理\"},\"children\":[]}]},{\"id\":\"2\",\"path\":\"systemMaintenance\",\"name\":\"xt\",\"component\":\"ParentView\",\"hidden\":false,\"redirect\":\"noRedirect\",\"label\":\"系统\",\"alwaysShow\":true,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":null,\"title\":\"系统\"},\"children\":[{\"id\":\"3\",\"path\":\"menuManagement\",\"name\":\"menuManagement\",\"component\":\"systemMaintenance/menuManagement\",\"hidden\":false,\"redirect\":\"noRedirect\",\"label\":\"菜单管理\",\"alwaysShow\":true,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-caidanguanli\",\"title\":\"菜单管理\"},\"children\":[]},{\"id\":\"2475f7756cd9421aa04d239553c08289\",\"path\":\"organization\",\"name\":\"organization\",\"component\":\"systemSettings/organization/index\",\"hidden\":false,\"redirect\":null,\"label\":\"组织机构\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"organization\",\"title\":\"组织机构\"},\"children\":[]}]},{\"id\":\"573984b2f5c24f1a8dd9f4c8b2803bd2\",\"path\":\"integrationOption/zsjgl\",\"name\":\"zsjgl\",\"component\":\"integrationOption/index\",\"hidden\":false,\"redirect\":null,\"label\":\"主数据管理\",\"alwaysShow\":false,\"meta\":{\"templateTypes\":[\"9\"],\"noCache\":false,\"hidden\":false,\"icon\":\"documentation\",\"title\":\"主数据管理\"},\"children\":[]}]},{\"id\":\"0de53f6c96974007bdfc4a9a73fe908c\",\"path\":\"/newIntegrationTask\",\"name\":\"newIntegrationTask\",\"component\":\"Layout\",\"hidden\":false,\"redirect\":null,\"label\":\"集成任务\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"icon-renwujicheng\",\"title\":\"集成任务\"},\"children\":[{\"id\":\"a015492ab5d44a3ab04bb835136bfe50\",\"path\":\"plugInOptions\",\"name\":\"plugInOptions\",\"component\":\"newIntegrationTask/plugInOptions/index\",\"hidden\":false,\"redirect\":null,\"label\":\"插件参数设置\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"plugInOptions\",\"title\":\"插件参数设置\"},\"children\":[]},{\"id\":\"a3ec81521752485a9e1598f3591ff131\",\"path\":\"foregroundTask\",\"name\":\"foregroundTask\",\"component\":\"newIntegrationTask/foregroundTask/index\",\"hidden\":false,\"redirect\":null,\"label\":\"集成前台任务\",\"alwaysShow\":false,\"meta\":{\"noCache\":false,\"hidden\":false,\"icon\":\"foregroundTask\",\"title\":\"集成前台任务\"},\"children\":[]}]}]";
        List<ModuleVo> returnModuleVo = JSON.parseArray(a,ModuleVo.class);
        return BaseResult.getSuccessMessageEntity("查询组织树成功", returnModuleVo);
    }
}
